%define upstream_name    File-DataClass
%define upstream_version 0.13.418

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CHI) >= 0.330.0
BuildRequires: perl(Cache::FastMmap) >= 1.360.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Null) >= 1.90.0
BuildRequires: perl(Date::Format) >= 2.220.0
BuildRequires: perl(Encode) >= 2.120.0
BuildRequires: perl(Exception::Class) >= 1.230.0
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::Temp) >= 0.200.0
BuildRequires: perl(Hash::Merge) >= 0.80.0
BuildRequires: perl(IO::Dir) >= 1.50.0
BuildRequires: perl(IO::File) >= 1.130.0
BuildRequires: perl(IPC::Cmd) >= 0.680.0
BuildRequires: perl(JSON) >= 2.160.0
BuildRequires: perl(Lingua::EN::NameParse) >= 1.280.0
BuildRequires: perl(MealMaster) >= 0.280.0
BuildRequires: perl(Module::Build) >= 0.320.0
BuildRequires: perl(Moose) >= 2.40.200
BuildRequires: perl(MooseX::ClassAttribute) >= 0.260.0
BuildRequires: perl(MooseX::Types) >= 0.250.0
BuildRequires: perl(Scalar::Util) >= 1.180.0
BuildRequires: perl(Sub::Exporter) >= 0.982.0
BuildRequires: perl(Template) >= 2.180.0
BuildRequires: perl(Template::Stash) >= 2.900.0
BuildRequires: perl(Test::More) >= 0.740.0
BuildRequires: perl(Text::Diff) >= 1.370.0
BuildRequires: perl(Text::Wrap) >= 2005.82.401
BuildRequires: perl(Try::Tiny) >= 0.60.0
BuildRequires: perl(XML::Bare) >= 0.300.0
BuildRequires: perl(XML::DTD) >= 0.90.0
BuildRequires: perl(XML::Simple) >= 2.140.0
BuildRequires: perl(namespace::autoclean) >= 0.130.0
BuildRequires: perl(namespace::clean) >= 0.220.0
BuildRequires: perl(overload) >= 1.40.0
BuildRequires: perl(parent) >= 0.224.0
BuildRequires: perl(utf8) >= 1.60.0
BuildRequires: perl(version) >= 0.740.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.13.418-2.mga3
+ Revision: 367151
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.13.418-1.mga3
+ Revision: 317663
- update to 0.13.418

* Wed Nov 07 2012 jquelin <jquelin> 0.13.416-1.mga3
+ Revision: 315735
- update to 0.13.416

* Sun Oct 21 2012 jquelin <jquelin> 0.12.409-1.mga3
+ Revision: 308911
- adding missing buildrequires:
- imported package perl-File-DataClass

